curl --request GET \
--url https://{environment}.{customerId}.ch.locatee.com/public/api/analytics/v1/portfolio/daily-peak \
--header 'Authorization: Bearer <token>'const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://{environment}.{customerId}.ch.locatee.com/public/api/analytics/v1/portfolio/daily-peak', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://{environment}.{customerId}.ch.locatee.com/public/api/analytics/v1/portfolio/daily-peak"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text){
"buildingDailyPeaks": [
{
"building": {
"buildingId": 6,
"subscriptionPlan": "Workplace",
"geoCoordinates": {
"latitude": 47.378466513404604,
"longitude": 8.495144435276114
},
"timezone": "Europe/Zurich",
"id": 6,
"code": "123 Example Av",
"address": "Albisriederstrasse 243a, 8047 Zurich"
},
"date": "2020-10-20",
"buildingCapacity": 1000,
"targetUtilizationPercent": 0.15,
"targetUtilization": 150,
"peakUtilization": 120
}
]
}Get the daily peak for all buildings.
This request will return the peak utilization for a specific date for all buildings in the portfolio. The date should be specified as a query parameter. The date is interpreted from the point of view of the building. Only the measurements within office hours and during workdays are used for the peak utilization.
The queried date is expected to be in the past, i.e. the most recent date that can be queried is yesterday. If a building has not finished the queried date yet, it will have ‘null’ peak utilization. If there is no data for a building for the queried date, it will also have ‘null’ peak utilization. Please note that a building in Sydney (UTC+11) might already have data for 2020-10-20, while at that time another building in Honolulu (UTC-10) will still be collecting data (and return ‘null’).
This endpoint is available to all SubscriptionPlans.
curl --request GET \
--url https://{environment}.{customerId}.ch.locatee.com/public/api/analytics/v1/portfolio/daily-peak \
--header 'Authorization: Bearer <token>'const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://{environment}.{customerId}.ch.locatee.com/public/api/analytics/v1/portfolio/daily-peak', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://{environment}.{customerId}.ch.locatee.com/public/api/analytics/v1/portfolio/daily-peak"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text){
"buildingDailyPeaks": [
{
"building": {
"buildingId": 6,
"subscriptionPlan": "Workplace",
"geoCoordinates": {
"latitude": 47.378466513404604,
"longitude": 8.495144435276114
},
"timezone": "Europe/Zurich",
"id": 6,
"code": "123 Example Av",
"address": "Albisriederstrasse 243a, 8047 Zurich"
},
"date": "2020-10-20",
"buildingCapacity": 1000,
"targetUtilizationPercent": 0.15,
"targetUtilization": 150,
"peakUtilization": 120
}
]
}Authorizations
Query Parameters
The date for which the peak utilization is requested. The expected format is YYYY-MM-DD.
"2020-10-20"
Response
Successful operation
Contains all buildings in the portfolio and their respective daily peaks.
Show child attributes
Show child attributes

